Bug 973521 - [RFE] [engine-backend] disk status should be correlate to domain status
[RFE] [engine-backend] disk status should be correlate to domain status
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: RFEs (Show other bugs)
---
x86_64 Unspecified
unspecified Severity medium (vote)
: ---
: ---
Assigned To: Rob Young
Raz Tamir
: FutureFeature
: 1069173 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 03:09 EDT by Elad
Modified: 2017-09-28 05:54 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: ovirt‑future?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)
logs and screenshots (66.47 KB, application/x-gzip)
2013-06-12 03:09 EDT, Elad
no flags Details

  None (edit)
Description Elad 2013-06-12 03:09:14 EDT
Created attachment 759968 [details]
logs and screenshots

Description of problem:
When storage pool is inaccessible, engine should report it's disks as inactive

storage pool is inaccessible:
 2013-06-12 09:29:53,392 ERROR [org.ovirt.engine.core.vdsbroker.irsbroker.IrsBrokerCommand] (DefaultQuartzScheduler_Worker-51) IrsBroker::Failed::GetStoragePoolInfoVDS due to: IRSNonOperationalException: IRSGeneric
Exception: IRSErrorException: IRSNonOperationalException: Could not connect host to Data Center(Storage issue)
 

Version-Release number of selected component (if applicable):
rhevm-3.2.0-11.29.el6ev.noarch

How reproducible:
100%

Steps to Reproduce:
1. with block storage pool and running vms and attached disks (without OS)
2. remove the PVs of the master domain's VG (could be done by creating a storage domain with the same PVs from another setup)


Actual results:
engine reports that the SD's disks are active 

Expected results:
When storage pool is inaccessible, engine should report it's disks as inactive


Additional info:
logs and screenshots
Comment 1 Allon Mureinik 2014-08-10 07:02:24 EDT
(In reply to Elad from comment #0)
> Steps to Reproduce:
> 1. with block storage pool and running vms and attached disks (without OS)
> 2. remove the PVs of the master domain's VG (could be done by creating a
> storage domain with the same PVs from another setup)
This is hardly something that would happen in a real-world scenario.
Elad - do you have a more common usecase where this will be interesting?
Comment 2 Elad 2014-08-10 07:08:45 EDT
(In reply to Allon Mureinik from comment #1)
> (In reply to Elad from comment #0)
> > Steps to Reproduce:
> > 1. with block storage pool and running vms and attached disks (without OS)
> > 2. remove the PVs of the master domain's VG (could be done by creating a
> > storage domain with the same PVs from another setup)
> This is hardly something that would happen in a real-world scenario.
> Elad - do you have a more common usecase where this will be interesting?

For example, when the storage domain is unreachable due to connectivity loss from all the hosts. 
It's also relevant for a domain in maintenance.
Comment 4 Yaniv Lavi 2016-12-05 02:54:44 EST
*** Bug 1069173 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.